SoMFUInt32(3)

NAME
SoMFUInt32 - The SoMFUInt32 class is a container for 32-bit unsigned integer values.

SYNOPSIS

#include <Inventor/fields/SoMFUInt32.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFUInt32 & operator= (const SoMFUInt32 &field)
virtual SbBool isSame (const SoField &field) const
uint32_t operator[] (const int idx) const
const uint32_t * getValues (const int start) const
int find (uint32_t value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const uint32_t *newvals)
void set1Value (const int idx, uint32_t value)
void setValue (uint32_t value)
uint32_t operator= (uint32_t val)
SbBool operator== (const SoMFUInt32 &field) const
SbBool operator!= (const SoMFUInt32 &field) const
uint32_t * startEditing (void)
void finishEditing (void)
void setValuesPointer (const int num, const uint32_t *userdata)
void setValuesPointer (const int num, uint32_t *userdata)

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)

  Protected Attributes
uint32_t * values

  Additional Inherited Members

Detailed Description

The SoMFUInt32 class is a container for 32-bit unsigned integer values. This field is used where nodes, engines or other field containers need to store a group of multiple 32-bit unsigned integer values.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also
    SoSFUInt32

Member Function Documentation

  void * SoMFUInt32::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFUInt32::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFUInt32::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoMFUInt32::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFUInt32::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFUInt32::deleteAllValues (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFUInt32::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const uint32_t * SoMFUInt32::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFUInt32::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

Author

Generated automatically by Doxygen for Coin from the source code.